"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.describe = exports.command = exports.Provider = void 0;
const monzo = __importStar(require("./monzo"));
var Provider;
(function (Provider) {
    Provider["Monzo"] = "monzo";
})(Provider = exports.Provider || (exports.Provider = {}));
exports.command = "auth <provider>";
exports.describe = "Auth an account or budget provider";
const builder = (args) => args
    .positional("provider", {
    describe: "Account or budget provider to auth",
    choices: [Provider.Monzo],
})
    .group(["help"], "General options:")
    .options(monzo.builder)
    .group(Object.keys(monzo.builder), "Monzo options:");
exports.builder = builder;
const handler = async (args) => {
    switch (args.provider) {
        case Provider.Monzo:
            await monzo.handler(args);
            break;
        default:
            throw new Error("Unknown provider");
    }
};
exports.handler = handler;
